//
//  iShuffleMain.h
//  iShuffle
//
//  Created by Matthias Lange on Thu Nov 13 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface iShuffleMain : NSObject {
    
    IBOutlet NSTextField *myTextLabel;
    IBOutlet NSTextView *myTextView;
    IBOutlet id window;
    IBOutlet id progressSheet;
    IBOutlet NSProgressIndicator *myProgressIndicator;
    
    NSMutableDictionary *items; // this dictionary holds the toolbar items
    NSToolbar *toolbar;
    
}

-(void)shuffle:(id)sender;
-(NSString *)mix:(NSString *)word;
-(IBAction)openDocument:(id)sender;
-(IBAction)saveDocument:(id)sender;

- (void)awakeFromNib;
- (void)dealloc;
    // toolbar datasource
- (NSToolbarItem *)toolbar:(NSToolbar *)toolbar itemForItemIdentifier:(NSString *)itemIdentifier willBeInsertedIntoToolbar:(BOOL)flag;
- (NSArray *)toolbarDefaultItemIdentifiers:(NSToolbar*)toolbar;
- (NSArray *)toolbarAllowedItemIdentifiers:(NSToolbar*)toolbar;
- (int)count;

    // menu commands
- (IBAction)customize:(id)sender;
- (IBAction)showhide:(id)sender;

// progress sheet
- (void)showProgressSheet;
- (void)hideProgressSheet;

@end
